{{-- {} Toastify JS v1.12.0 --}}
<script src="{{ asset('archivos/librerias/toastify-js/v1.12.0/js/toastify.min.js') }}"></script>

{{-- {} Date Ranger Picker v3.1.0 --}}
{{-- <link rel="stylesheet" href="{{ asset('archivos/librerias/daterangepicker/v3.1.0/js/daterangepicker.js') }}"> --}}

{{-- {} Select 2 v4.1.0 --}}
<script src="{{ asset('archivos/librerias/select2/v4.1.0/js/select2.min.js') }}"></script>

{{-- {} Programación --}}

{{-- + Variables de sesión --}}
<script>

	window.opener &&
	window.opener !== window &&
	document.querySelectorAll('body > :where(header, footer)').forEach(elemento =>
		elemento.classList.add('d-none')
	);

	window.aplicacion = {
		enlace: '{{ request()->path() === '/' ? request()->url : str_replace(request()->getPathInfo(), '', request()->url()) }}',
		ruta: '{{ Route::currentRouteName() }}',
		configuracion: @json(session('configuracion')),
		empresa: @json(session('empresa')),
		programa: {
			generico: !!{{ in_array(Route::currentRouteName(), session('programas')['genericos']) ? 1 : 0 }},
			genericos: @json(array_column(DB::select('SELECT LOWER(programa) FROM programas WHERE generico = 1'), ''))
		},
		peticion: {
			exitosa: {},
			completada: {},
			formulario: {
				campo: {},
				exitosa: {},
				completada: {}
			}
		},
		campo: { mascara: [], selector: [] }
	}

</script>

{{-- + Aplicación --}}
<script type="module" src="{{ asset('archivos/js/aplicacion/plantilla.js') }}"></script>
